# PhasicFlow: src/Interaction/contactSearch/contactSearchGlobals.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

contactSearchGlobals.hpp File Reference
Include dependency graph for contactSearchGlobals.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| pFlow

## Typedefs

using | csExecutionSpace = DefaultExecutionSpace
using | csIdType = uint32
using | csPairContainerType = unsortedPairs< DefaultExecutionSpace, uint32 >

## Variables

const uint32 | BASE_MIRROR_WALL_INDEX = 1000000